//=======================================================================================
//チンチロリンプログラム
//(C)nyankosan　2015-04-03
//=======================================================================================
//サイコロの目を出す関数
//spotsmin以上spotsmax以下の乱数が生成される。【(最大値 - 最小値 + 1) + 最小値】
function makeSpotsDice(){
	var spotsmax = 6;//最大値
	var spotsmin = 1;//最小値
	var spotsdice = Math.random()*(spotsmax - spotsmin + 1) + spotsmin;//
	spotsdice = Math.floor(spotsdice); //少数以下を丸める
	return spotsdice;
}
//グローバル変数=======================================================================================
var stopFlg=0;//繰り返し処理に割り込んで中断させるためのフラグ
//=======================================================================================
//中断ボタンの処理
$("#stopDiceBtn").click(function() {
	stopFlg = 1;//停止のフラグを立てる
});
//=======================================================================================
$("#DiceBtn").click(function() {
	var n1,n2,n3;//サイコロの目
	var dice1,dice2,dice3;//サイコロの目を画像表示するための変数
	var count = 0;//繰り返した回数をカウント
	//var timer;
	stopFlg = 0;//フラグの初期化

	//要素のキャッシュ
	var diceCount = $("#diceCount");
	var dice_n1 = $("#n1");
	var dice_n2 = $("#n2");
	var dice_n3 = $("#n3");

	//一定時間ごとに処理を繰り返させる処理
	var timer = setInterval(function(){
		n1 = makeSpotsDice();//サイコロの目1
		n2 = makeSpotsDice();//サイコロの目2
		n3 = makeSpotsDice();//サイコロの目3

		dice1 = "<span class=\"" + "dice" + n1 + "\"></span>";//cssスプライトの牌画を配置
		dice2 = "<span class=\"" + "dice" + n2 + "\"></span>";//cssスプライトの牌画を配置
		dice3 = "<span class=\"" + "dice" + n3 + "\"></span>";//cssスプライトの牌画を配置

		//サイコロの目や回数を表示する
		diceCount.empty().append(count);
		dice_n1.empty().append(dice1);
		dice_n2.empty().append(dice2);
		dice_n3.empty().append(dice3);


		//繰り返し処理を終了させる処理
		if(count++ == 100||stopFlg==1){
			clearInterval(timer);
		}
	}, 100);//0.1秒毎に処理を実行する
});
//=======================================================================================
//【おまけ】指定した値の範囲の整数を出力する関数
//min以上max以下の乱数が生成される。【(最大値 - 最小値 + 1) + 最小値】
function makeBetweenInt(min , max){
	return Math.floor(Math.random()*(max - min + 1)) + min;//
}
//=======================================================================================
